#creates scoreboard objective EDSC
scoreboard objectives add EDSC dummy EDSC
#clears tower bars
execute as @e[type=orbsix:edsc_entity] at @e[type=orbsix:edsc_entity] run fill ~~-1~~~-1~ air replace iron_bars
#tags a crystal on the portal ring
tag @e[type=ender_crystal,x=3,z=0,y=50,dx=0,dz=0,dy=30,tag=!portalCrystal] add portalCrystal
#resets crystalCount
execute if score crystalCount EDSC matches 1.. run scoreboard players set crystalCount EDSC 0
#counts the crystals on the portal ring
function edsc_crystal_count
#if crystalCount = 4, inCutscene = 1
execute unless score inCutscene EDSC matches 1 if score crystalCount EDSC matches 4 run scoreboard players set inCutscene EDSC 1
#if crystalCount = ..3, inCutscene = 0
execute unless score inCutscene EDSC matches 0 unless score timer EDSC matches 0..710 if score crystalCount EDSC matches ..3 run scoreboard players set inCutscene EDSC 0
#if inCutscene = 1, tag players EDSC
execute if score inCutscene EDSC matches 1 run tag @a[x=-50,z=-50,y=50,dx=100,dz=100,dy=30,tag=!EDSC] add EDSC
#if players tag EDSC, timer start
execute if entity @a[tag=EDSC] run scoreboard players add timer EDSC 1
#if inCutscene, timer = -1
execute if score inCutscene EDSC matches 0 unless score timer EDSC matches -1 run scoreboard players set timer EDSC -1
#disables player movement
execute if score timer EDSC matches 0 run inputpermission set @a[tag=EDSC] movement disabled
#sets player gamemode to spectator
execute if score timer EDSC matches 0 run gamemode spectator @a[tag=EDSC]
#summons the entities on the pillars
execute if score timer EDSC matches 0 run function edsc_pillar_entities
#tick 0 - camera fade A
execute if score timer EDSC matches 0 run camera @a[tag=EDSC] fade time 0.5 0 0.5
#tick 9 - camera set A - sets on top of portal ring
execute if score timer EDSC matches 9 as @a[tag=EDSC] at @e [tag=portalCrystal] run camera @s set minecraft:free pos 0 ~4 0 rot 90 -90
#tick 10 - camera ascend A - ascends from the portal ring
execute if score timer EDSC matches 10 as @a[tag=EDSC] at @e [tag=portalCrystal] run camera @s set minecraft:free ease 5 in_sine pos 0 ~84 0 rot 90 90
#tick 90 - camera fade B
execute if score timer EDSC matches 90 run camera @a[tag=EDSC] fade time 0.5 0.5 0.5
#tick 101 - camera set B - sets infront of the portal crystal
execute if score timer EDSC matches 101 as @a[tag=EDSC] at @e[tag=portalCrystal] run camera @s set minecraft:free pos ~3~1~ facing 0 ~2 0
#tick 109 - camera crystal 1
execute if score timer EDSC matches 109 run function edsc_crystal1
#tick 149 - camera crystal 2
execute if score timer EDSC matches 149 run function edsc_crystal2
#tick 189 - camera crystal 3
execute if score timer EDSC matches 189 run function edsc_crystal3
#tick 229 - camera crystal 4
execute if score timer EDSC matches 229 run function edsc_crystal4
#tick 269 - camera crystal 5
execute if score timer EDSC matches 269 run function edsc_crystal5
#tick 309 - camera crystal 6
execute if score timer EDSC matches 309 run function edsc_crystal6
#tick 349 - camera crystal 7
execute if score timer EDSC matches 349 run function edsc_crystal7
#tick 389 - camera crystal 8
execute if score timer EDSC matches 389 run function edsc_crystal8
#tick 429 - camera crystal 9
execute if score timer EDSC matches 429 run function edsc_crystal9
#tick 469 - camera crystal 10
execute if score timer EDSC matches 469 run function edsc_crystal10
#tick 529 - camera fade C
execute if score timer EDSC matches 529 run camera @a[tag=EDSC] fade time 0.5 0 0.5
#tick 538 - camera set C - faces the sky from top of portal ring
execute if score timer EDSC matches 538 as @a[tag=EDSC] at @e[tag=portalCrystal] run camera @s set minecraft:free pos 0 ~4 0 facing 0 125 0
#tick 539 - camera ascend B
execute if score timer EDSC matches 539 as @a[tag=EDSC] at @e[tag=portalCrystal] run camera @s set minecraft:free ease 3 in_sine pos 0 125 0 rot -90 90
#tick 599 to 708 - camera face ender_dragon
execute if score timer EDSC matches 599..708 as @a[tag=EDSC] at @e[type=ender_dragon] rotated ~ ~ run camera @s set minecraft:free ease 0.2 in_out_sine pos ^-5^1.5^-10 facing ~~~
#tick 699 - camera fade D
execute if score timer EDSC matches 699 run camera @a[tag=EDSC] fade time 0.5 0 0.5
#tick 709 - stop cutscene
execute if score timer EDSC matches 709 as @a[tag=EDSC] run function edsc_stop